# PreSwitchOutClearWeatherAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PreSwitchOutClearWeatherAbAttr

Clears Desolate Land/Primordial Sea/Delta Stream upon the Pokemon switching out.

#### Hierarchy (view full)

- PreSwitchOutAbAttr
  - PreSwitchOutClearWeatherAbAttr

- Defined in src/data/ability.ts:1845

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPreSwitchOut
getCondition
getTriggerMessage

## Constructors

### constructor

- new PreSwitchOutClearWeatherAbAttr(): PreSwitchOutClearWeatherAbAttr

- #### Returns PreSwitchOutClearWeatherAbAttr

  Inherited from PreSwitchOutAbAttr.constructor

  - Defined in src/data/ability.ts:1821

## Properties

### showAbility

showAbility: boolean

Inherited from PreSwitchOutAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreSwitchOutAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreSwitchOutAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreSwitchOut

- applyPreSwitchOut(pokemon, passive, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default

    The `Pokemon` with the ability

  - passive: boolean

    N/A

  - args: any[]

    N/A

  #### Returns boolean | Promise<boolean>

  Returns true if the weather clears, otherwise false.

  Overrides PreSwitchOutAbAttr.applyPreSwitchOut

  - Defined in src/data/ability.ts:1853

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreSwitchOutAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PreSwitchOutAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137